## org.apache.xerces.xinclude
Class XIncludeMessageFormatter

    java.lang.Object
      org.apache.xerces.xinclude.XIncludeMessageFormatter

All Implemented Interfaces:
  MessageFormatter

    public class XIncludeMessageFormatter

extends java.lang.Object
implements MessageFormatter

XIncludeMessageFormatter provides error messages for the XInclude 1.0 Candidate Recommendation

Version:
  $Id: XIncludeMessageFormatter.java 320201 2005-01-11 13:40:29Z mrglavas $
Author:
  Peter McCracken, IBM

Field Summary
`static java.lang.String` `XINCLUDE_DOMAIN`

Constructor Summary
`XIncludeMessageFormatter()`

Method Summary
`java.lang.String` `formatMessage(java.util.Locale locale, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XINCLUDE_DOMAIN

    public static final java.lang.String XINCLUDE_DOMAIN

See Also:
  Constant Field Values

Constructor Detail

### XIncludeMessageFormatter

    public XIncludeMessageFormatter()

Method Detail

### formatMessage

    public java.lang.String formatMessage(java.util.Locale locale,
                                          java.lang.String key,
                                          java.lang.Object[] arguments)
                                   throws java.util.MissingResourceException

  Formats a message with the specified arguments using the given locale information.

  Specified by:
    `formatMessage` in interface `MessageFormatter`
  Parameters:
    `locale` - The locale of the message.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    Returns the formatted message.
  Throws:
    `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.